Index: trunk/SRC/Colors/color24.pro
===================================================================
--- trunk/SRC/Colors/color24.pro	(revision 136)
+++ trunk/SRC/Colors/color24.pro	(revision 137)
@@ -5,5 +5,5 @@
 ; into the equivalent 24-big long integer. 
 ;
-; @categories Graphics, Color Specification.
+; @categories Graphics, Color
 ;
 ; @param rgb_triple {in}{required} 
Index: trunk/SRC/Colors/colorbar.pro
===================================================================
--- trunk/SRC/Colors/colorbar.pro	(revision 136)
+++ trunk/SRC/Colors/colorbar.pro	(revision 137)
@@ -7,5 +7,5 @@
 ; @categories Graphics, Widgets.
 ;
-; @keyword BOTTOM
+; @keyword BOTTOM {default=0B}
 ; The lowest color index of the colors to be loaded in the bar.
 ;
@@ -22,11 +22,11 @@
 ; to get logarithmic scale for the colorbar
 ;
-; @keyword CB_TITLE
-; This is title for the color bar. The default is to have no title.
-;
-; @keyword DISCRETE
+; @keyword CB_TITLE {default=''}
+; This is title for the color bar.
+;
+; @keyword DISCRETE 
 ; Vector which contain color's indexes to trace in a color bar. Therefore
-; we obtain a discreet color bar which only contains specified colors in
-; order where they appear in the vector
+; we obtain a discrete colorbar which contains only the specified colors 
+; in the order they appear in the vector
 ;
 ; @keyword DIVISIONS {default=2}
@@ -37,8 +37,8 @@
 ; The format of the bar annotations.
 ;
-; @keyword CB_LABEL
-; It is a vector who specifies sticks's value attend in the color bar.
-; It allowes, when we use DISCREET, to have colors which don't increase
-; by increments in a regular way.
+; @keyword CB_LABEL 
+; A vector to specify sticks values of the color bar. It allowes,
+; when we use DISCRETE, to have colors that don't increase by
+; increments in a regular way.
 ;
 ; @keyword MAX {default=NCOLORS - 1}
@@ -48,5 +48,5 @@
 ; The minimum data value for the bar annotation.
 ;
-; @keyword NCOLORS
+; @keyword NCOLORS {default=!D.N_COLORS}
 ; This is the number of colors in the color bar.
 ;
@@ -54,5 +54,5 @@
 ; Force to don't write title even if CB_TITLE is declared.
 ;
-; @keyword POSITION
+; @keyword POSITION {default=see bellow}
 ; A four-element array of normalized coordinates in the same
 ; form as the POSITION keyword on a plot. Default is
@@ -82,10 +82,6 @@
 ; The keyword only applies if a horizontal color bar is rendered.
 ;
-; @keyword VERTICAL
+; @keyword VERTICAL {default=0 -> horizontal color bar}
 ; Setting this keyword give a vertical color bar.
-; The default is a horizontal color bar.
-;
-; @restrictions
-; Color bar is drawn in the current graphics window.
 ;
 ; @restrictions
@@ -101,33 +97,29 @@
 ; IDL> COLORBAR, NCOLORS=100
 ;
-; @history Written by: David Fanning, 10 JUNE 96.
-;       10/27/96: Added the ability to send output to Postscript. DWF
-;       11/4/96: Substantially rewritten to go to screen or Postscript
-;           file without having to know much about the Postscript device
+; @history 
+; Written by: David Fanning, 10 JUNE 96.
+; 10/27/96: Added the ability to send output to PostScript. DWF
+; 11/04/96: Substantially rewritten to go to screen or PostScript
+;           file without having to know much about the PostScript device
 ;           or even what the current graphics device is. DWF
-;       1/27/97: Added the RIGHT and TOP keywords. Also modified the
-;            way the TITLE keyword works. DWF
-;       7/15/97: Fixed a problem some machines have with plots that have
-;            no valid data range in them. DWF
-;       3/3/98:  ajout du keyword discret par
-;            sebastien (smasson\@lodyc.jussieu.fr)
+; 01/27/97: Added the RIGHT and TOP keywords. Also modified the
+;           way the TITLE keyword works. DWF
+; 07/15/97: Fixed a problem some machines have with plots that have
+;           no valid data range in them. DWF
+; 03/03/98: Add DISCRETE keyword, sebastien masson (smasson\@lodyc.jussieu.fr)
 ;
 ; @version $Id$
 ;
 ;-
-PRO COLORBAR, BOTTOM=bottom, CB_CHARSIZE=cb_charsize, $
-              CB_CHARTHICK=cb_charthick $
-              , CB_COLOR=cb_color, $
-              DIVISIONS=divisions, DISCRETE=discrete,CB_LABEL = cb_label, $
-              FORMAT=format, POSITION=position, MAX=max, MIN=min, $
-              NCOLORS=ncolors, $
-              PSCOLOR=pscolor, CB_TITLE=cb_title, NOTITLE=notitle, $
-              VERTICAL=vertical, $
-              TOP=top, RIGHT=right, CB_LOG = CB_log, _extra = ex
-                                ; Is the Postscript device selected?
+PRO COLORBAR, BOTTOM=bottom, CB_CHARSIZE=cb_charsize, CB_CHARTHICK=cb_charthick $
+              , CB_COLOR=cb_color, DIVISIONS=divisions, DISCRETE=discrete $
+              , CB_LABEL = cb_label, FORMAT=format, POSITION=position $
+              , MAX = max, MIN = min, NCOLORS = ncolors, PSCOLOR=pscolor $
+              , CB_TITLE = cb_title, VERTICAL = vertical, TOP = top, RIGHT = right $
+              , CB_LOG = CB_log, NOTITLE = notitle, _extra = ex
 ;
   compile_opt idl2, strictarrsubs
 ;
-
+; Is the PostScript device selected?
    postScriptDevice = (!D.NAME EQ 'PS')
 
@@ -136,20 +128,20 @@
    IF N_ELEMENTS(ncolors) EQ 0 THEN BEGIN
 
-                                ; Most display devices to not use the 256 colors available to
-                                ; the PostScript device. This presents a problem when writing
-                                ; general-purpose programs that can be output to the display or
-                                ; to the PostScript device. This problem is especially bothersome
-                                ; if you don't specify the number of colors you are using in the
-                                ; program. One way to work around this problem is to make the
-                                ; default number of colors the same for the display device and for
-                                ; the PostScript device. Then, the colors you see in PostScript are
-                                ; identical to the colors you see on your display. Here is one way to
-                                ; do it.
+; Most display devices to not use the 256 colors available to
+; the PostScript device. This presents a problem when writing
+; general-purpose programs that can be output to the display or
+; to the PostScript device. This problem is especially bothersome
+; if you don't specify the number of colors you are using in the
+; program. One way to work around this problem is to make the
+; default number of colors the same for the display device and for
+; the PostScript device. Then, the colors you see in PostScript are
+; identical to the colors you see on your display. Here is one way to
+; do it.
 
       IF postScriptDevice THEN BEGIN
          oldDevice = !D.NAME
 
-                                ; What kind of computer are we using? SET_PLOT to appropriate
-                                ; display device.
+; What kind of computer are we using? SET_PLOT to appropriate
+; display device.
 
          thisOS = !VERSION.OS_FAMILY
@@ -165,10 +157,10 @@
          if !d.n_colors gt 256 then !p.background='ffffff'x
 
-                                ; Open a window (to make sure !D.N_COLORS is accurate).
+; Open a window (to make sure !D.N_COLORS is accurate).
 
          WINDOW, /FREE, /PIXMAP, XSIZE=10, YSIZE=10
          WDELETE, !D.WINDOW
 
-                                ; Here is how many colors we should use.
+; Here is how many colors we should use.
 
          ncolors = !D.N_COLORS
@@ -209,21 +201,21 @@
    ENDELSE
 
-                                ; Scale the color bar.
+; Scale the color bar.
    IF NOT KEYWORD_SET(discrete) THEN $
     bar = BYTSCL(bar, TOP=ncolors-1) + bottom
 
-                                ; Get starting locations in DEVICE coordinates.
+; Get starting locations in DEVICE coordinates.
 
    xstart = position[0] * !D.X_VSIZE
    ystart = position[1] * !D.Y_VSIZE
 
-                                ; Get the size of the bar in DEVICE coordinates.
+; Get the size of the bar in DEVICE coordinates.
 
    xsize = (position[2] - position[0]) * !D.X_VSIZE
    ysize = (position[3] - position[1]) * !D.Y_VSIZE
 
-                                ; For PostScript output only, draw the annotation in !P.COLOR
-                                ; unless "pscolor" is set. This makes better output on grayscale
-                                ; printers.
+; For PostScript output only, draw the annotation in !P.COLOR
+; unless "pscolor" is set. This makes better output on grayscale
+; printers.
 
    IF postScriptDevice AND (pscolor NE 1) THEN BEGIN
@@ -232,6 +224,6 @@
    ENDIF
 
-                                ; Display the color bar in the window. Sizing is
-                                ; different for PostScript and regular display.
+; Display the color bar in the window. Sizing is
+; different for PostScript and regular display.
 
    IF postScriptDevice THEN BEGIN
@@ -246,5 +238,5 @@
    ENDELSE
 
-                                ; Annotate the color bar.
+; Annotate the color bar.
 
    if keyword_set(cb_label) then begin
@@ -312,5 +304,5 @@
 
    ENDELSE
-                                ; Restore color variable if changed for PostScript.
+; Restore color variable if changed for PostScript.
 
    IF postScriptDevice AND (pscolor NE 1) THEN cb_color = oldcolor
Index: trunk/SRC/Colors/getcolor.pro
===================================================================
--- trunk/SRC/Colors/getcolor.pro	(revision 136)
+++ trunk/SRC/Colors/getcolor.pro	(revision 137)
@@ -15,5 +15,5 @@
 ; table offered on the IDL newsgroup by Liam Gumley.)
 ;
-; @categories Graphics, Color Specification.
+; @categories Graphics, Color
 ;
 ; @param thisColor {in}{optional} 
@@ -36,31 +36,35 @@
 ;           white
 ;
-;           The color YELLOW is returned if the color name can't be resolved.
-;           Case is unimportant.
-;
-;           If the function is called with just this single input parameter,
-;           the return value is either a 1-by-3 array containing the RGB values of
-;           that particular color, or a 24-bit integer that can be "decomposed" into
-;           that particular color, depending upon the state of the TRUE keyword and
-;           upon whether color decomposition is turned on or off. The state of color
-;           decomposition can ONLY be determined if the program is being run in
-;           IDL 5.2 or higher.
+; The color YELLOW is returned if the color name can't be resolved.
+; Case is unimportant.
+;
 ;
 ; @param index {in}{optional} 
 ; The color table index where the specified color should be loaded.
-;           If this parameter is passed, then the return value of the function is the
-;           index number and not the color triple. (If color decomposition is turned
-;           on AND the user specifies an index parameter, the color is loaded in the
-;           color table at the proper index, but a 24-bit value is returned to the
-;           user in IDL 5.2 and higher.)
-;
-;       If no positional parameter is present, then the return value is either a 16-by-3
-;       byte array containing the RGB values of all 16 colors or it is a 16-element
-;       long integer array containing color values that can be decomposed into colors.
-;       The 16-by-3 array is appropriate for loading color tables with the TVLCT command:
+;
+; @returns
+; If no positional parameter is present, then the return value is either a 16-by-3
+; byte array containing the RGB values of all 16 colors or it is a 16-element
+; long integer array containing color values that can be decomposed into colors.
+; The 16-by-3 array is appropriate for loading color tables with the TVLCT command:
 ;
 ;           Device, Decomposed=0
 ;           colors = GetColor()
 ;           TVLCT, colors, 100
+;
+; If  function is called with just this single input parameter,
+; the return value is either a 1-by-3 array containing the RGB values of
+; that particular color, or a 24-bit integer that can be "decomposed" into
+; that particular color, depending upon the state of the TRUE keyword and
+; upon whether color decomposition is turned on or off. The state of color
+; decomposition can ONLY be determined if the program is being run in
+; IDL 5.2 or higher.
+;
+; If index parameter is passed, then the return value of the function is the
+; index number and not the color triple. (If color decomposition is turned
+; on AND the user specifies an index parameter, the color is loaded in the
+; color table at the proper index, but a 24-bit value is returned to the
+; user in IDL 5.2 and higher.)
+;
 ;
 ; @keyword NAMES 
@@ -112,41 +116,41 @@
 ; To load a yellow color in color index 100 and plot in yellow, type:
 ;
-; IDL> yellow = GETCOLOR('yellow', 100)
-; IDL> PLOT, data, COLOR=yellow
-;
-;       or,
-;
-; IDL> PLOT, data, COLOR=GETCOLOR('yellow', 100)
+;      IDL> yellow = GETCOLOR('yellow', 100)
+;      IDL> PLOT, data, COLOR=yellow
+;
+; or,
+;
+;      IDL> PLOT, data, COLOR=GETCOLOR('yellow', 100)
 ;
 ; To do the same thing on a 24-bit color system with decomposed color on, type:
 ;
-; IDL> PLOT, data, COLOR=GETCOLOR('yellow', /TRUE)
-;
-;       or in IDL 5.2 and higher,
-;
-; IDL> DEVICE, Decomposed=1
-; IDL> PLOT, data, COLOR=GETCOLOR('yellow')
+;      IDL> PLOT, data, COLOR=GETCOLOR('yellow', /TRUE)
+;
+; or in IDL 5.2 and higher,
+;
+;      IDL> DEVICE, Decomposed=1
+;      IDL> PLOT, data, COLOR=GETCOLOR('yellow')
 ;
 ; To load all 16 colors into the current color table, starting at
 ; color index 200, type:
 ;
-; IDL> TVLCT, GETCOLOR(), 200
+;      IDL> TVLCT, GETCOLOR(), 200
 ;
 ; To add the color names to a list widget:
 ;
-; IDL> listID = Widget_List(baseID, Value=GetColor(/Names), YSize=16)
-;
-; To load all 16 colors and have the color indexes returned in a structure:
-;
-; IDL> DEVICE, Decomposed=0
-; IDL> colors = GetColor(/Load, Start=1)
-; IDL> HELP, colors, /Structure
-; PLOT, data, COLOR=colors.yellow
+;      IDL> listID = Widget_List(baseID, Value=GetColor(/Names), YSize=16)
+;
+; To load all 16 colors and have the color indices returned in a structure:
+;
+;      IDL> DEVICE, Decomposed=0
+;      IDL> colors = GetColor(/Load, Start=1)
+;      IDL> HELP, colors, /Structure
+;      PLOT, data, COLOR=colors.yellow
 ;
 ; To get the direct color values as 24-bit integers in color structure fields:
 ;
-; IDL> DEVICE, Decomposed=1
-; IDL> colors = GetColor(/Load)
-; IDL> PLOT, data, COLOR=colors.yellow
+;      IDL> DEVICE, Decomposed=1
+;      IDL> colors = GetColor(/Load)
+;      IDL> PLOT, data, COLOR=colors.yellow
 ;
 ; Note that the START keyword value is ignored if on a 24-bit device,
@@ -154,15 +158,15 @@
 ; writing code like this:
 ;
-; IDL> colors = GetColor(/Load)
-; IDL> PLOT, data, Color=colors.yellow;           IDL> DEVICE, Decomposed=0
-; IDL> colors = GetColor(/Load, Start=1)
-; IDL> HELP, colors, /Structure
-; IDL> PLOT, data, COLOR=colors.yellow
+;      IDL> colors = GetColor(/Load)
+;      IDL> PLOT, data, Color=colors.yellow;           IDL> DEVICE, Decomposed=0
+;      IDL> colors = GetColor(/Load, Start=1)
+;      IDL> HELP, colors, /Structure
+;      PLOT, data, COLOR=colors.yellow
 ;
 ; To get the direct color values as 24-bit integers in color structure fields:
 ;
-; IDL> DEVICE, Decomposed=1
-; IDL> colors = GetColor(/Load)
-; IDL> PLOT, data, COLOR=colors.yellow
+;      IDL> DEVICE, Decomposed=1
+;      IDL> colors = GetColor(/Load)
+;      IDL> PLOT, data, COLOR=colors.yellow
 ;
 ; Note that the START keyword value is ignored if on a 24-bit device,
@@ -170,15 +174,16 @@
 ; writing code like this:
 ;
-; IDL> colors = GetColor(/Load)
-; IDL> PLOT, data, Color=colors.yellow
-;
-; @history Written by: David Fanning, 10 February 96.
-;       Fixed a bug in which N_ELEMENTS was spelled wrong. 7 Dec 96. DWF
-;       Added the McIDAS colors to the program. 24 Feb 99. DWF
-;       Added the INDEX parameter to the program 8 Mar 99. DWF
-;       Added the NAMES keyword at insistence of Martin Schultz. 10 Mar 99. DWF
-;       Reordered the colors so black is first and white is last. 7 June 99. DWF
-;       Added automatic recognition of DECOMPOSED=1 state. 7 June 99. DWF
-;       Added LOAD AND START keywords. 7 June 99. DWF.
+;      IDL> colors = GetColor(/Load)
+;      IDL> PLOT, data, Color=colors.yellow
+;
+; @history 
+; Written by: David Fanning, 10 February 96.
+; Fixed a bug in which N_ELEMENTS was spelled wrong. 7 Dec 96. DWF
+; Added the McIDAS colors to the program. 24 Feb 99. DWF
+; Added the INDEX parameter to the program 8 Mar 99. DWF
+; Added the NAMES keyword at insistence of Martin Schultz. 10 Mar 99. DWF
+; Reorderd the colors so black is first and white is last. 7 June 99. DWF
+; Added automatic recognition of DECOMPOSED=1 state. 7 June 99. DWF
+; Added LOAD AND START keywords. 7 June 99. DWF.
 ;
 ; @version $Id$
Index: trunk/SRC/Colors/lct.pro
===================================================================
--- trunk/SRC/Colors/lct.pro	(revision 136)
+++ trunk/SRC/Colors/lct.pro	(revision 137)
@@ -1,32 +1,34 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
 ;------------------------------------------------------------
 ;+
 ;
 ; @file_comments 
-; Fastest than type loadct,file='palette.tbl'
+; Fastest than type loadct, file = 'palette.tbl'
 ;
-; @categories graphics, color specification
+; @categories graphics, color
 ;
-; @param numpal {in}{optional} number of the color palette we want to select in the file palette.tbl
+; @param numpal {in}{optional}
+; number of the color palette we want to select in the file palette.tbl
 ;
-; @keyword LIGHTNESS a scalar used to change the Lightness of the color
-;            palette to be able to adjust according to the printer we use,
-;            the media (paper or slide)... 
+; @keyword LIGHTNESS 
+; a scalar used to change the Lightness of the color
+; palette to be abble to adjust according to the printer we use,
+; the media (paper or slide)... 
 ;               lightness < 1 to get lighter colors
 ;                         > 1 to get darker colors
 ;
-; @keyword FILE {default=palette.tbl} is not specified, we are looking  a file containing 
-; palettes named palette.tbl.
-; This file can be in any directory of the !path
+; @keyword FILE {default='palette.tbl'}
+; The file containing the color palette. It can be in any directory of the !path
 ;
-; @keyword GET_NAME Set this keyword to a named variable in which the names of the color tables
-;          are returned as a string array. No changes are made to the color table.
+; @keyword GET_NAME
+; Set this keyword to a named variable in which the names of the color tables
+; are reurned as a string array. No changes are made to the color table.
 ;
-; @keyword _EXTRA Used to pass your keywords
+; @keyword _EXTRA
+; Used to pass loadct keywords
 ;
-; @history Sebastien Masson (smasson@lodyc.jussieu.fr)
-;          30/3/1999: add extra
-;          6/7/1999: mac/windows compatibility
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; 30/3/1999: add extra
+; 6/7/1999: mac/windows compatibility
 ;
 ; @version $Id$
@@ -34,75 +36,73 @@
 ;-
 ;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 PRO lct, numpal, FILE = file, GET_NAME = get_name, LIGHTNESS = Lightness, _EXTRA = ex
 ;
   compile_opt idl2, strictarrsubs
 ;
-@common
 ; definition of the name of the file containing colors palettes.
-   if keyword_set(file) then nametbl = file ELSE nametbl = 'palette.tbl'
+  if keyword_set(file) then nametbl = file ELSE nametbl = 'palette.tbl'
 ; What is the full address of nametbl?
-   thisOS = strupcase(strmid(!version.os_family, 0, 3))
-   CASE thisOS of
-   'MAC':BEGIN & sep = ':' & pathsep = ',' & end
-   'WIN':BEGIN & sep = '\' & pathsep = ';' & end
-   ELSE: BEGIN & sep = '/' & pathsep = ':' & end
-   ENDCASE
-   cd, current = current
-   if strpos(nametbl,sep) lt 0 then BEGIN
-      if rstrpos(current,sep) NE strlen(current)-1 then current = current+sep
-      multipath = str_sep(!path,pathsep)
-      for i = 0, n_elements(multipath)-1 do $
-       if rstrpos(multipath[i],sep) NE strlen(multipath[i])-1 then $
-       multipath[i] = multipath[i] +sep
-      nametbl = [current, multipath]+ nametbl
-   ENDIF
+  thisOS = strupcase(strmid(!version.os_family, 0, 3))
+  CASE thisOS of
+  'MAC':BEGIN & sep = ':' & pathsep = ',' & end
+  'WIN':BEGIN & sep = '\' & pathsep = ';' & end
+  ELSE: BEGIN & sep = '/' & pathsep = ':' & end
+  ENDCASE
+  cd, current = current
+  if strpos(nametbl, sep) lt 0 then BEGIN
+    if rstrpos(current, sep) NE strlen(current)-1 then current = current+sep
+    multipath = str_sep(!path, pathsep)
+    for i = 0, n_elements(multipath)-1 do $
+       if rstrpos(multipath[i], sep) NE strlen(multipath[i])-1 then $
+          multipath[i] = multipath[i] +sep
+    nametbl = [current, multipath]+ nametbl
+  ENDIF
 ; we test all possible name in order to find where file is.
-   nfile=n_elements(nametbl)
-   n = 0
-   repeat begin
-      res = findfile(nametbl[n]) 
-      n = n+1
-   endrep until res[0] NE '' OR n EQ n_elements(nametbl) 
-   if res[0] NE '' then BEGIN
-      nametbl = nametbl[n-1]
-      if n_elements(ex) NE 0 then $ 
-        if (where(tag_names(ex) EQ 'FILE'))[0] NE -1 then ex.FILE = nametbl
+  nfile = n_elements(nametbl)
+  n = 0
+  repeat begin
+    res = findfile(nametbl[n]) 
+    n = n+1
+  endrep until res[0] NE '' OR n EQ n_elements(nametbl) 
+  if res[0] NE '' then BEGIN
+    nametbl = nametbl[n-1]
+    if n_elements(ex) NE 0 then $ 
+       if (where(tag_names(ex) EQ 'FILE'))[0] NE -1 then ex.FILE = nametbl
 ; if we are in POSTSCRIPT mode, we have to pass in X mode in order to change the color palette
-      oldname = !d.name
-      if !d.name EQ 'PS' OR !d.name EQ 'Z' then BEGIN 
-         thisOS = !VERSION.OS_FAMILY
-         thisOS = STRMID(thisOS, 0, 3)
-         thisOS = STRUPCASE(thisOS)
-         CASE thisOS of
-            'MAC': SET_PLOT, thisOS
-            'WIN': SET_PLOT, thisOS
-            ELSE: SET_PLOT, 'X'
-         ENDCASE
-         !p.BACKGROUND=(!d.n_colors-1) < 255
-         !p.color=0
-         if !d.n_colors gt 256 then !p.background='ffffff'x
-      ENDIF
+    oldname = !d.name
+    if !d.name EQ 'PS' OR !d.name EQ 'Z' then BEGIN 
+      thisOS = !VERSION.OS_FAMILY
+      thisOS = STRMID(thisOS, 0, 3)
+      thisOS = STRUPCASE(thisOS)
+      CASE thisOS of
+        'MAC': SET_PLOT, thisOS
+        'WIN': SET_PLOT, thisOS
+        ELSE: SET_PLOT, 'X'
+      ENDCASE
+      !p.BACKGROUND = (!d.n_colors-1) < 255
+      !p.color = 0
+      if !d.n_colors gt 256 then !p.background = 'ffffff'x
+    ENDIF
 ;
-      if arg_present(get_name) then begin
-         if n_elements(numpal) EQ 0 then loadct, file=nametbl, GET_NAME = get_name, _EXTRA = ex $
-         ELSE loadct,numpal, file=nametbl, /silent, GET_NAME = get_name,_EXTRA = ex
-      ENDIF ELSE BEGIN 
-         if n_elements(numpal) EQ 0 then loadct, file=nametbl, _EXTRA = ex $
-         ELSE loadct,numpal, file=nametbl, /silent, _EXTRA = ex
-      ENDELSE 
+    if arg_present(get_name) then begin
+      if n_elements(numpal) EQ 0 then $
+         loadct, file = nametbl, GET_NAME = get_name, _EXTRA = ex $
+      ELSE loadct, numpal, file = nametbl, /silent, GET_NAME = get_name, _EXTRA = ex
+    ENDIF ELSE BEGIN 
+      if n_elements(numpal) EQ 0 then loadct, file = nametbl, _EXTRA = ex $
+      ELSE loadct, numpal, file = nametbl, /silent, _EXTRA = ex
+    ENDELSE 
 ;
-      if oldname EQ 'PS' AND keyword_set(lightness) then palit, lightness 
+    if oldname EQ 'PS' AND keyword_set(lightness) then palit, lightness 
 ;
-      set_plot, oldname
-      IF oldname EQ 'X' OR oldname EQ 'MAC' OR oldname EQ 'WIN' then BEGIN
-         !p.BACKGROUND=(!d.n_colors-1) < 255
-         !p.color=0
-         if !d.n_colors gt 256 then !p.background='ffffff'x
-      ENDIF
+    set_plot, oldname
+    IF oldname EQ 'X' OR oldname EQ 'MAC' OR oldname EQ 'WIN' then BEGIN
+      !p.BACKGROUND = (!d.n_colors-1) < 255
+      !p.color = 0
+      if !d.n_colors gt 256 then !p.background = 'ffffff'x
+    ENDIF
 
-   ENDIF ELSE ras = report('le fichier de palettes demande n''existe pas...')
+  ENDIF ELSE ras = report('The file containing the color palettes doesn''t exist...')
 
-   return
+  return
 end
Index: trunk/SRC/Colors/newpalette.pro
===================================================================
--- trunk/SRC/Colors/newpalette.pro	(revision 136)
+++ trunk/SRC/Colors/newpalette.pro	(revision 137)
@@ -1,28 +1,23 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
 ;------------------------------------------------------------
 ;+
 ;
 ; @file_comments 
-; Allows to stock the palette which is on the screen
-; in a same type file than the one gave by default in IDL
+; Allows to save the palette which is on the screen
+; in a same type file than the one gven by default in IDL
 ; 'colors1.tbl'.
 ;
-; @categories graphic, color specification
+; @categories color
 ;
 ; @param namepal {in}{required} 
-; It is a string containing the name of the new palette we want to write.
+; a string containing the name of the new palette we want to write.
 ;
 ; @keyword OVER 
-; It is a whole number which designate the number of the palette
-; we want to replace the palette on the screen 
+; the number of the palette we want to replace
 ;
-; @keyword FILE {default=palette.tbl} 
-; if not specified, we are looking a file containing palettes named palette.tbl.
-; This file can be in any directory of the !path
-; On the other hand it must be writable
+; @keyword FILE {default='palette.tbl'}
+; The file containing the color palettes. It can be in any directory of the !path.
 ;
-; @keyword _extra 
-; Used to pass your keywords
+; @keyword _EXTRA 
+; Used to pass modifyct keywords
 ;
 ; @history Guillaume Roulet (gr@lodyc.jussieu.fr)
@@ -32,50 +27,50 @@
 ; @version $Id$
 ;
-; @todo seb cleaning + traduction
 ;-
 ;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
-pro newpalette,namepal, FILE = file, OVER = over, _extra = ex
+pro newpalette, namepal, FILE = file, OVER = over, _EXTRA = ex
 ;
   compile_opt idl2, strictarrsubs
 ;
 ; definition of the name of the file containing colors palettes.
-   if keyword_set(file) then nametbl = file ELSE nametbl = 'palette.tbl'
-   nomcourt = nametbl
+  if keyword_set(file) then nametbl = file ELSE nametbl = 'palette.tbl'
 ; What is the full adress of nametbl?
-   nametbl = find(nametbl)
-   if nametbl[0] NE 'NOT FOUND' then begin
-      nametbl = nametbl[0]
-; does nametbl is our?
-      spawn, 'whoami', login
-      appartient = strpos(nametbl, login[0])
-      if appartient EQ -1 then begin
-         ouinon = report('Le fichier '+nametbl+' ne vous appartient pas, Voulez-vous copier le fichier '+nomcourt+' dans le repertoire courant: '+current+' ?', /default_no, /question)
-         if ouinon then return ELSE BEGIN 
-            spawn, 'cp '+nametbl+' '+nomcourt ; copy
-            nametbl = nomcourt
-            spawn,  'chmod u+w '+nametbl ; give writing rights
-         ENDELSE
-      endif
-   ENDIF ELSE BEGIN             ; no file nametbl found
-      nametbl = nomcourt         ; we reclaim the nametbl source
-      ouinon = report('le fichier de palettes demande '+nametbl+' n''existe pas ds les repertoires !path. Voulez-vous cree un fichier '+nametbl+' dans le repertoire courant', /default_no, /question)
-      if NOT ouinon then return
-      nomfichsource = filepath('colors1.tbl', subdir=['resource', 'colors']) 
-      spawn,'cp '+nomfichsource+' '+nametbl ; copy
-      spawn,  'chmod u+w '+nametbl ; give writing rights
-   ENDELSE 
-
-   if n_elements(ex) NE 0 then $ 
-    if (where(tag_names(ex) EQ 'FILE'))[0] NE -1 then ex.FILE = nametbl
+  homedir = isadirectory(homedir,  title = 'select MyIDL directory')
+  namesave = nametbl
+  nametbl = find(nametbl)
+  if nametbl[0] NE 'NOT FOUND' then begin
+    nametbl = nametbl[0]
+    nameshort = file_basename(nametbl)
+; is nametbl belongs to the same effective user ID (UID) as the IDL process?
+    IF !d.name EQ 'X' THEN BEGIN ; works only for unix tye machine
+      IF file_test(nametbl, /user) NE 1 THEN BEGIN 
+        noanswer = report('The file '+nametbl+' is not yours... Do you want to copy '+nameshort+' in your MyIDL diectory: '+homedir+' ?', /default_no, /question)
+        IF noanswer THEN return ELSE BEGIN 
+          file_copy, nametbl, homedir  ; copy the file
+          nametbl = homedir + nametbl  ; update its name
+        ENDELSE
+      ENDIF
+    ENDIF
+; no file nametbl found
+    ENDIF ELSE BEGIN                           
+      nametbl = file_basename(namesave)        ; get back the original nametbl
+      noanswer = report('The file '+nametbl+' was not found !path directories... Do you want to create such a file in  your MyIDL diectory: '+homedir+' ?', /default_no, /question)
+      if NOT noanswer then return
+      nameorg = filepath('colors1.tbl', subdir = ['resource', 'colors']) 
+      file_copy, nameorg, homedir
+    ENDELSE 
+; is nametbl writable?
+    IF file_test(nametbl, /write) NE 1 THEN file_chmod, nametbl, /u_write
+; make sure that we will really use nametbl name even if _EXTRA keyword is used
+    if n_elements(ex) NE 0 then $ 
+       if (where(tag_names(ex) EQ 'FILE'))[0] NE -1 then ex.FILE = nametbl
 ;
-   tvlct,r,g,b,/get
-   r=congrid(r,256)
-   g=congrid(g,256)
-   b=congrid(b,256)
-   IF n_elements(over) EQ 0 then over = 255
-   modifyct,over,namepal,r,g,b,file=nametbl, _extra = ex
+    tvlct, r, g, b, /get
+    r = congrid(r, 256)
+    g = congrid(g, 256)
+    b = congrid(b, 256)
+    IF n_elements(over) EQ 0 then over = 255
+    modifyct, over, namepal, r, g, b, file = nametbl, _extra = ex
 ;
-   return
-end
+    return
+  end
Index: trunk/SRC/Colors/xlct.pro
===================================================================
--- trunk/SRC/Colors/xlct.pro	(revision 136)
+++ trunk/SRC/Colors/xlct.pro	(revision 137)
@@ -1,3 +1,5 @@
-
+;+
+; @hidden
+;-
 PRO XLCT_PSAVE			;Save/Restore our plotting state.
 ;  Swaps our state with the current state each time its called.
@@ -23,4 +25,7 @@
 end
 
+;+
+; @hidden
+;-
 pro xlct_alert_caller
 ;
@@ -52,4 +57,7 @@
 
 ; Redraw the ramp image.
+;+
+; @hidden
+;-
 PRO xlct_show
 ;
@@ -72,4 +80,11 @@
 END
 
+;+
+; @hidden
+; @param i
+; ???
+; @param c
+; ???
+;-
 PRO xlct_draw_cps, i, c
 ;
@@ -93,4 +108,9 @@
 end
 
+;+
+; @hidden
+; @keyword UPDATE
+; ???
+;-
 PRO xlct_transfer, UPDATE=update
 ;
@@ -125,4 +145,9 @@
 end
 
+;+
+; @hidden
+; @param event
+; ???
+;-
 PRO xlct_event, event
 ;
@@ -375,54 +400,63 @@
 ; palette.tbl which can be in any directory
 ;
-; @categories Widgets
-;
-; @keyword FILE If this keyword is set, the file by the given name is used
-;		instead of the file colors1.tbl in the IDL directory.  This
-;		allows multiple IDL users to have their own color table file.
-; @keyword GROUP The widget ID of the widget that calls Xlct.  When 
-;               this ID is specified, a death of the caller results in a 
-;               death of Xlct
-; @keyword NCOLORS = number of colors to use.  Use color indexes from BOTTOM
-;		to the smaller of !D.TABLE_SIZE-1 and NCOLORS-1.
-;		Default = !D.TABLE_SIZE = all available colors.
-; @keyword BOTTOM = first color index to use. Use color indexes from BOTTOM to
-;		BOTTOM+NCOLORS-1.  Default = 0.
-; @keyword SILENT - Normally, no informational message is printed when
-;               a color map is loaded. If this keyword is present and
-;               zero, this message is printed.
-; @keyword USE_CURRENT: If set, use the current color tables, regardless of
-;		the contents of the COMMON block COLORS.
-; @keyword MODAL:  If set, then XLCT runs in "modal" mode, meaning that
-;               all other widgets are blocked until the user quits XLCT.
-;               A group leader must be specified (via the GROUP keyword)
-;               for the MODAL keyword to have any effect.   The default
-;               is to not run in modal mode.
-; @keyword BLOCK:  Set this keyword to have XMANAGER block when this
-;		application is registered.  By default the Xmanager
-;               keyword NO_BLOCK is set to 1 to provide access to the
-;               command line if active command 	line processing is available.
-;               Note that setting BLOCK for this application will cause
-;		all widget applications to block, not only this
-;		application.  For more information see the NO_BLOCK keyword
-;		to XMANAGER.
-; @keyword UPDATECALLBACK: Set this keyword to a string containing the name of
-;               a user-supplied procedure that will be called when the color
-;               table is updated by XLCT.  The procedure may optionally
-;               accept a keyword called DATA, which will be automatically
-;               set to the value specified by the optional UPDATECBDATA
-;               keyword.
-; @keyword UPDATECBDATA: Set this keyword to a value of any type. It will be
-;               passed via the DATA keyword to the user-supplied procedure
-;               specified via the UPDATECALLBACK keyword, if any. If the
-;               UPDATECBDATA keyword is not set the value accepted by the
-;               DATA keyword to the procedure specified by UPDATECALLBACK
-;               will be undefined.
-;
-; @restrictions One of the predefined color maps may be loaded.
-;
-; @restrictions This routine uses the LOADCT user library procedure to
-;       do the actual work.
-;
-; @history 5/5/1999 copie de xloadct par Sebastien Masson (smlod@ipsl.jussieu.fr)
+; @categories Widgets, Color
+;
+; @keyword FILE {default='palette.tbl'}
+; If this keyword is set, the file by the given name is used
+; instead of the file colors1.tbl in the IDL directory.  This
+; allows multiple IDL users to have their own color table file.
+;
+; @keyword GROUP 
+; The widget ID of the widget that calls Xlct. When  this ID is
+; specified, a death of the caller results in a death of Xlct
+
+; @keyword NCOLORS {default=!D.TABLE_SIZE = all available colors}
+; number of colors to use. Use color indexes from BOTTOM to the
+; smaller of !D.TABLE_SIZE-1 and NCOLORS-1.
+;
+; @keyword BOTTOM {default=0.}
+; first color index to use. Use color indexes from BOTTOM to
+; BOTTOM+NCOLORS-1.
+;
+; @keyword SILENT 
+; Normally, no informational message is printed when a color map
+; is loaded. If this keyword is present and zero, this message is printed.
+;
+; @keyword USE_CURRENT
+; If set, use the current color tables, regardless of
+; the contents of the COMMON block COLORS.
+;
+; @keyword MODAL {default=not run in modal mode}
+; If set, then XLCT runs in "modal" mode, meaning that
+; all other widgets are blocked until the user quits XLCT.
+; A group leader must be specified (via the GROUP keyword)
+; for the MODAL keyword to have any effect.
+;
+; @keyword BLOCK
+; Set this keyword to have XMANAGER block when this
+; application is registered.  By default the Xmanager
+; keyword NO_BLOCK is set to 1 to provide access to the
+; command line if active command line processing is available.
+; Note that setting BLOCK for this application will cause
+; all widget applications to block, not only this
+; application.  For more information see the NO_BLOCK keyword
+; to XMANAGER.
+;
+; @keyword UPDATECALLBACK
+; Set this keyword to a string containing the name of
+; a user-supplied procedure that will be called when the color
+; table is updated by XLCT.  The procedure may optionally
+; accept a keyword called DATA, which will be automatically
+; set to the value specified by the optional UPDATECBDATA keyword.
+;
+; @keyword UPDATECBDATA
+; Set this keyword to a value of any type. It will be
+; passed via the DATA keyword to the user-supplied procedure
+; specified via the UPDATECALLBACK keyword, if any. If the
+; UPDATECBDATA keyword is not set the value accepted by the
+; DATA keyword to the procedure specified by UPDATECALLBACK
+; will be undefined.
+;
+; @history 5/5/1999 copie de xloadct par Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
 ; @version $Id$
Index: trunk/SRC/Colors/xpal.pro
===================================================================
--- trunk/SRC/Colors/xpal.pro	(revision 136)
+++ trunk/SRC/Colors/xpal.pro	(revision 137)
@@ -1,123 +1,9 @@
-;+
-;
-; @file_comments
-; like xpalette but shorter to write and, moreover,
-; possess a hotkey save which (thanks to the newpalette routine)
-; allows to save the routine that we have just done. Comment: when we
-; press the predefined hotkey, it calls xlct instead of xloadct
-; No explicit inputs.  The current color table is used as a starting point.
-;
-; @categories Color tables, widgets.
-;
-; @uses XP_COM: Private to this module.
-;
-; @restrictions
-; XPAL uses two colors from the current color table as
-; drawing foreground and background colors. These are used
-; for the RGB plots on the left, and the current index marker on
-; the right. This means that if the user set these two colors
-; to the same value, the XPAL display could become unreadable
-; (like writing on black paper with black ink). XPAL minimizes
-; this possibility by noting changes to the color map and always
-; using the brightest available color for the foreground color
-; and the darkest for the background. Thus, the only way
-; to make XPAL's display unreadable is to set the entire color
-; map to a single color, which is highly unlikely. The only side
-; effect of this policy is that you may notice XPAL redrawing
-; the entire display after you've modified the current color.
-; This simply means that the change has made XPAL pick new
-; drawing colors.
-;
-; The new color tables are saved in the COLORS common and loaded
-; to the display.
-;
-; @examples
-; The XPAL widget has the following controls:
-;
-;       Left:   Three plots showing the current Red, Green, and Blue vectors.
-;
-;       Center: A status region containing:
-;               1) The total number of colors.
-;               2) The current color. XPAL allows changing
-;                  one color at a time. This color is known as
-;                  the "current color" and is indicated in the
-;                  color spectrum display with a special marker.
-;               3) The current mark index. The mark is used to
-;                  remember a color index. It is established by
-;                  pressing the "Set Mark Button" while the current
-;                  color index is the desired mark index.
-;               4) The current color. The special marker used in
-;                  color spectrum display prevents the user from seeing
-;                  the color of the current index, but it is visible
-;                  here.
-;
-;               A panel of control buttons, which do the following when
-;               pressed:
-;
-;                 Done: Exits XPAL.
-;
-;           Predefined: Starts XLOADCT to allow selection of one of the
-;                       predefined color tables.
-;
-;                 Help: Supplies help information similar to this header.
-;
-;               Redraw: Completely redraws the display using the current
-;                       state of the color map.
-;
-;             Set Mark: Set the value of the mark index to the
-;                       current index.
-;
-;          Switch Mark: Exchange the mark and the current index.
-;
-;         Copy Current: Every color lying between the current
-;                       index and the mark index (inclusive) is given
-;                       the current color.
-;
-;          Interpolate: The colors lying between the current
-;                       index and the mark index are interpolated linearly
-;                       to lie between the colors of two endpoints.
-;                 save: Allows to save  the palette which is currently
-;                       on the screen. When we press this hotkey, there is a
-;                       widget who appear and ask:
-;                        1) the name of the palette we want to save.
-;                        2) The number of the palette we may want to erase
-;                        by the new palette. If there is not any number
-;                        specified, the new palette is add to elders.
-;                        3) The name of the file containing palettes.
-;                        Comment: May follow instructions gave by the prompter.
-;
-;
-;       Three sliders (R, G, and B) that allow the user to modify the
-;       current color.
-;
-;       Right:  A display which shows the current color map as a series of
-;               squares. Color index 0 is at the upper left. The color index
-;               increases monotonically by rows going left to right and top
-;               to bottom.  The current color index is indicated by a special
-;               marker symbol. There are 4 ways to change the current color:
-;                       1) Press any mouse button while the mouse
-;                          pointer is over the color map display.
-;                       2) Use the "By Index" slider to move to
-;                          the desired color index.
-;                       3) Use the "Row" Slider to move the marker
-;                          vertically.
-;                       4) Use the "Column" Slider to move the marker
-;                          horizontally.
-;
-; @history adaptation de xpalette pour ajouter un bouton save par
-;          Grima Nicolas (nglod\@ipsl.jussieu.fr) et par Masson
-;          Sebastien (smlod\@ipsl.jussieu.fr)
-;
-; $Id$
-;
-;-
-;
-;+
-; @file_comments
 ; XP_NEW_COLORS: Choose the best foreground and background colors for
 ; the current color maps and set !P appropriately.
+;+
 ;
 ; @returns
 ; 1 if the colors changed, 0 otherwise.
+; @hidden
 ;-
 function XP_NEW_COLORS
@@ -170,8 +56,8 @@
   endif
 end
-;+
-; @file_comments
 ; XP_XLCTCALLBACK:  For visuals with static colormaps, update the graphics
 ; after a change by XLOADCT.
+;+
+; @hidden
 ;-
 pro XP_XLCTCALLBACK
@@ -203,6 +89,4 @@
 end
 
-;+
-; @file_comments
 ; XP_REPLOT: Re-draw the RGB plots. Type has the following possible values.
 ;       - 'D': Draw the data part of all three plots
@@ -211,4 +95,11 @@
 ;       - 'G': Draw the data part of the Green plot
 ;       - 'B': Draw the data part of the Blue plot
+;+
+; @param color_index
+; ???
+; @param type
+; ???
+;
+; @hidden
 ;-
 pro XP_REPLOT, color_index, type
@@ -286,9 +177,16 @@
 
 
-;+
-; @file_comments XP_CHANGE_COLOR:  Change current color. Type has the following possible values.
+; XP_CHANGE_COLOR:  Change current color. Type has the following possible values.
 ;       - 'R': Change the R part of the current color
 ;       - 'G': ...
 ;       - 'B': ...
+;+
+;
+; @param type
+; ???
+; @param value
+; ???
+;
+; @hidden
 ;-
 pro XP_CHANGE_COLOR, type, value
@@ -333,11 +231,9 @@
 
 end
-
-
-
-
-
-
-
+;+
+; @param event
+; ???
+; @hidden
+;-
 pro XP_BUTTON_EVENT, event
 ;
@@ -455,5 +351,9 @@
 end
 
-
+;+
+; @hidden
+; @param ev
+; ???
+;-
 PRO xp_button_event_event, ev
 ;
@@ -482,4 +382,9 @@
 
 
+;+
+; @param event
+; ???
+; @hidden
+;-
 
 pro XP_EVENT, event
@@ -524,11 +429,115 @@
    endcase
 
-end
-
-
-
-;+
-;
-; @keyword group
+ END
+
+;+
+;
+; @file_comments
+; like xpalette but shorter to write and, moreover,
+; possess a hotkey save which (thanks to the newpalette routine)
+; allows to save the routine that we have just done. Comment: when we
+; press the predefined hotkey, it calls xlct instead of xloadct
+; No explicit inputs.  The current color table is used as a starting point.
+;
+; @categories Color, widgets.
+;
+; @uses XP_COM: Private to this module.
+;
+; @restrictions
+; XPAL uses two colors from the current color table as
+; drawing foreground and background colors. These are used
+; for the RGB plots on the left, and the current index marker on
+; the right. This means that if the user set these two colors
+; to the same value, the XPAL display could become unreadable
+; (like writing on black paper with black ink). XPAL minimizes
+; this possibility by noting changes to the color map and always
+; using the brightest available color for the foreground color
+; and the darkest for the background. Thus, the only way
+; to make XPAL's display unreadable is to set the entire color
+; map to a single color, which is highly unlikely. The only side
+; effect of this policy is that you may notice XPAL redrawing
+; the entire display after you've modified the current color.
+; This simply means that the change has made XPAL pick new
+; drawing colors.
+;
+; The new color tables are saved in the COLORS common and loaded
+; to the display.
+;
+; @examples
+; The XPAL widget has the following controls:
+;
+;       Left:   Three plots showing the current Red, Green, and Blue vectors.
+;
+;       Center: A status region containing:
+;               1) The total number of colors.
+;               2) The current color. XPAL allows changing
+;                  one color at a time. This color is known as
+;                  the "current color" and is indicated in the
+;                  color spectrum display with a special marker.
+;               3) The current mark index. The mark is used to
+;                  remember a color index. It is established by
+;                  pressing the "Set Mark Button" while the current
+;                  color index is the desired mark index.
+;               4) The current color. The special marker used in
+;                  color spectrum display prevents the user from seeing
+;                  the color of the current index, but it is visible
+;                  here.
+;
+;               A panel of control buttons, which do the following when
+;               pressed:
+;
+;                 Done: Exits XPAL.
+;
+;           Predefined: Starts XLOADCT to allow selection of one of the
+;                       predefined color tables.
+;
+;                 Help: Supplies help information similar to this header.
+;
+;               Redraw: Completely redraws the display using the current
+;                       state of the color map.
+;
+;             Set Mark: Set the value of the mark index to the
+;                       current index.
+;
+;          Switch Mark: Exchange the mark and the current index.
+;
+;         Copy Current: Every color lying between the current
+;                       index and the mark index (inclusive) is given
+;                       the current color.
+;
+;          Interpolate: The colors lying between the current
+;                       index and the mark index are interpolated linearly
+;                       to lie between the colors of two endpoints.
+;                 save: Allows to save  the palette which is currently
+;                       on the screen. When we press this hotkey, there is a
+;                       widget who appear and ask:
+;                        1) the name of the palette we want to save.
+;                        2) The number of the palette we may want to erase
+;                        by the new palette. If there is not any number
+;                        specified, the new palette is add to elders.
+;                        3) The name of the file containing palettes.
+;                        Comment: May follow instructions gave by the prompter.
+;
+;
+;       Three sliders (R, G, and B) that allow the user to modify the
+;       current color.
+;
+;       Right:  A display which shows the current color map as a series of
+;               squares. Color index 0 is at the upper left. The color index
+;               increases monotonically by rows going left to right and top
+;               to bottom.  The current color index is indicated by a special
+;               marker symbol. There are 4 ways to change the current color:
+;                       1) Press any mouse button while the mouse
+;                          pointer is over the color map display.
+;                       2) Use the "By Index" slider to move to
+;                          the desired color index.
+;                       3) Use the "Row" Slider to move the marker
+;                          vertically.
+;                       4) Use the "Column" Slider to move the marker
+;                          horizontally.
+;
+; @keyword GROUP
+; The widget ID of the widget that calls xpal. When  this ID is
+; specified, a death of the caller results in a death of xpal
 ;
 ; @keyword BLOCK
@@ -558,6 +567,12 @@
 ; will be undefined.
 ;
-;-
-pro XPAL, group=group, BLOCK=block, UPDATECALLBACK=updt_cb_name, $
+; @history adaptation de xpalette pour ajouter un bouton save par
+;          Grima Nicolas (nglod\@ipsl.jussieu.fr) et par Masson
+;          Sebastien (smlod\@ipsl.jussieu.fr)
+;
+; $Id$
+;
+;-
+pro XPAL, GROUP=group, BLOCK=block, UPDATECALLBACK=updt_cb_name, $
         UPDATECBDATA=updt_cb_data
 ;
